Negócios
Uma linha por negócio: funil, etapa, status, valor (também em BRL), datas de início e fim, datas de ganho e perda, pessoa, empresa e responsável.
dateFrom e dateTo filtram por created_at (dias inclusivos, YYYY-MM-DD).
As linhas são ordenadas por id, integration_id, inserted_at e paginadas com page/limit; meta.hasNextPage diz se existe outra página.
As respostas ficam em cache por 30 minutos.
ClientIdAuthClientSecretAuthx-client-id<token>Client ID
x-client-secret<token>Client secret
organizationId*stringOrganização dona das contas conectadas.
uuidintegrationId?stringUma conta conectada desta integração (o integration_id das linhas). Omita para ler todas as contas da organização.
length <= 255dateFrom?stringPrimeiro dia (inclusivo) de created_at, YYYY-MM-DD.
datedateTo?stringÚltimo dia (inclusivo) de created_at, YYYY-MM-DD. Não pode ser anterior a dateFrom.
datepage?integerNúmero da página, a partir de 1.
1 <= value <= 10000001limit?integerLinhas por página (máximo 5000).
1 <= value <= 5000500Uma página de linhas
application/json- response
data*array<>meta*curl -X GET "https://example.com/v1/agendor/deals?organizationId=3f2b8c1e-5d4a-4e6f-9a7b-1c2d3e4f5a6b&dateFrom=2026-10-01&dateTo=2026-10-31"{ "data": [ { "organization_id": "3f2b8c1e-5d4a-4e6f-9a7b-1c2d3e4f5a6b", "integration_id": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d", "user_id": "123456", "document_id": "123456", "integration_name": "example", "id": "123456", "parent_deal_id": "123456", "deal_stage_id": "123456", "funnel_id": "123456", "deal_status_id": "123456", "loss_reason_id": "123456", "value": "125.50", "currency": "example", "value_in_brl": "125.50", "exchange_rate": "125.50", "start_time": "2026-10-01T12:00:00.000Z", "end_time": "2026-10-01T12:00:00.000Z", "won_at": "2026-10-01T12:00:00.000Z", "lost_at": "2026-10-01T12:00:00.000Z", "person_id": "123456", "agendor_organization_id": "123456", "owner_user_id": "123456", "created_at": "2026-10-01T12:00:00.000Z", "updated_at": "2026-10-01T12:00:00.000Z", "inserted_at": "2026-10-01T12:00:00.000Z" } ], "meta": { "page": 1, "limit": 500, "hasNextPage": false, "hasPreviousPage": false }}